Deepin 20.5 是基于Debian10.5 的,虽然Proxmox Virtual Environment 是可以在Debian系统上直接安装的,但是直接在Deepin上安装PVE却没有官方支持的哦。安装过程基本顺利,主要问题是pve-firmware的部分文件和linux-firmware的部分文件有冲突。在我的thinkpad P15上,我直接用dpkg强制用pve-firmware覆盖了linux-firmware。安装前要先修改hosts 文件,修改过后的文件如下:

[email protected]:/etc/apt/sources.list.d# cat /etc/hostname 
p15
[email protected]:/etc/apt/sources.list.d# cat /etc/hosts
127.0.0.1       localhost
192.168.3.3     p15.localhost p15

# The following lines are desirable for IPv6 capable hosts
::1     localhost ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters

安装过程使用到的全部命令如下:

CODENAME=Buster
echo "deb [arch=amd64] http://mirrors.ustc.edu.cn/proxmox/debian $CODENAME pve-no-subscription" > /etc/apt/sources.list.d/pve-no-subscription.list
echo "deb [arch=amd64] http://mirrors.ustc.edu.cn/proxmox/debian/ceph-octopus/ buster main" > /etc/apt/sources.list.d/ceph_mirror.list
apt update && apt full-upgrade
apt install proxmox-ve postfix open-iscsi pve-manager qemu-server pve-ha-manager pve-container lxc-pve
cd /var/cache/apt/archives/
dpkg -i --force-overwrite pve-firmware_3.3-2_all.deb
apt --fix-broken install
pvedaemon start
pvecm updatecerts --force

发表评论

您的电子邮箱地址不会被公开。

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据